## org.jvnet.maven.plugin.antrun
Class DefaultGraphVisitor

    java.lang.Object
      org.jvnet.maven.plugin.antrun.DefaultGraphVisitor

All Implemented Interfaces:
  GraphVisitor

    public class DefaultGraphVisitor

extends java.lang.Object
implements GraphVisitor

Partial `GraphVisitor` implementation that returns true.

Author:
  Kohsuke Kawaguchi

Constructor Summary
`DefaultGraphVisitor()`

Method Summary
`boolean` `visit(DependencyGraph.Edge edge)` Visits an edge.
`boolean` `visit(DependencyGraph.Node node)` Visits a node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGraphVisitor

    public DefaultGraphVisitor()

Method Detail

### visit

    public boolean visit(DependencyGraph.Edge edge)

  Description copied from interface: `GraphVisitor`
  Visits an edge.

  Specified by:
    `visit` in interface `GraphVisitor`
  Returns:
    false to cut the traversal here and don't visit its destination node.

### visit

    public boolean visit(DependencyGraph.Node node)

  Description copied from interface: `GraphVisitor`
  Visits a node.

  Specified by:
    `visit` in interface `GraphVisitor`
  Returns:
    false to cut the traversal here and don't visit any of forward edges from this node.

Copyright © 2011. All Rights Reserved.